Typedefs | Functions

# mime.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _MimeInfo | MimeInfo
## Functions
WizardExport char ** | GetMimeList (const char *, size_t *, ExceptionInfo *)
WizardExport char *** | WizardToMime (const char *)
WizardExport const char * | GetMimeDescription (const MimeInfo *)
WizardExport const char ** | GetMimeType (const MimeInfo *)
WizardExport WizardBooleanType | ListMimeInfo (FILE *, ExceptionInfo *)
WizardExport WizardBooleanType | LoadMimeLists (const char *, ExceptionInfo *)
WizardExport WizardBooleanType | MimeComponentGenesis (void)
WizardExport const MimeInfo * | GetMimeInfo (const char *, const unsigned char *, const size_t, ExceptionInfo *)
WizardExport const MimeInfo *** | GetMimeInfoList (const char *, size_t *, ExceptionInfo *)
WizardExport void | MimeComponentTerminus (void)

## Typedef Documentation

typedef struct _MimeInfo MimeInfo

## Function Documentation

WizardExport const char* GetMimeDescription | ( | const MimeInfo * |  | ) |

WizardExport const MimeInfo* GetMimeInfo | ( | const char * | ,
|  | const unsigned char * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport const MimeInfo* ** GetMimeInfoList | ( | const char * | ,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References AcquireQuantumMemory(), GetMimeInfo(), GetNextValueInLinkedList(), GetNumberOfElementsInLinkedList(), GetWizardModule, GlobExpression(), LockSemaphoreInfo(), LogWizardEvent(), mime_list, mime_semaphore, MimeInfoCompare(), ResetLinkedListIterator(), _MimeInfo::stealth, TraceEvent, _MimeInfo::type, UnlockSemaphoreInfo(), and WizardFalse.

Referenced by ListMimeInfo().

WizardExport char** GetMimeList | ( | const char * | ,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport const char* * GetMimeType | ( | const MimeInfo * |  | ) |

References GetWizardModule, LogWizardEvent(), _MimeInfo::signature, TraceEvent, _MimeInfo::type, and WizardSignature.

Referenced by WizardToMime().

WizardExport WizardBooleanType ListMimeInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport WizardBooleanType LoadMimeLists | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport WizardBooleanType MimeComponentGenesis | ( | void |  | ) |

References AcquireSemaphoreInfo(), mime_semaphore, and WizardTrue.

Referenced by WizardsToolkitGenesis().

WizardExport void MimeComponentTerminus | ( | void |  | ) |

References AcquireSemaphoreInfo(), DestroyLinkedList(), DestroyMimeElement(), DestroySemaphoreInfo(), instantiate_mime, LockSemaphoreInfo(), mime_list, mime_semaphore, and UnlockSemaphoreInfo().

Referenced by WizardsToolkitTerminus().

WizardExport char** * WizardToMime | ( | const char * |  | ) |

References AcquireExceptionInfo(), ConstantString(), DestroyExceptionInfo(), FormatWizardString(), GetMimeInfo(), GetMimeType(), LocaleLower(), and MaxTextExtent.